import javax.swing.*;
import javax.swing.border.Border;
import java.awt.*;

public class InsomniaGUI {
    JFrame frame ;
    public InsomniaGUI(){
        frame = new JFrame();
        frame.setTitle("Insomnia");
        frame.setSize(900,600);
        frame.setLocation(200,100);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);

        Border border = BorderFactory.createLineBorder(Color.BLACK,3);

        JMenuBar upperMenuBar = new JMenuBar();
        JMenu application = new JMenu("Application");
        JMenu edit = new JMenu("Edit");
        JMenu view = new JMenu("View");
        JMenu window = new JMenu("Tools");
        JMenuItem minimize = new JMenuItem("Minimize");
        window.add(minimize);
        JMenu help = new JMenu("Help");
        upperMenuBar.add(application);
        upperMenuBar.add(edit);
        upperMenuBar.add(view);
        upperMenuBar.add(window);
        upperMenuBar.add(help);

        JPanel body = new JPanel();
        body.setBackground(Color.GRAY);
        JPanel auth = new JPanel();
        auth.setBackground(Color.GRAY);
        JPanel query = new JPanel();
        query.setBackground(Color.GRAY);
        JPanel header = new JPanel();
        header.setBackground(Color.GRAY);
        JPanel docs = new JPanel();
        docs.setBackground(Color.GRAY);

        //center_center
        JTabbedPane tabbedPaneCenter = new JTabbedPane();
        tabbedPaneCenter.setBackground(Color.GRAY);
        tabbedPaneCenter.add("Body" , body);
        tabbedPaneCenter.add("Auth" , auth);
        tabbedPaneCenter.add("Query" , query);
        tabbedPaneCenter.add("Header" , header);
        tabbedPaneCenter.add("Docs" , docs);

        //center_up
        JMenuItem patch = new JMenuItem();
        JMenuItem put = new JMenuItem();
        JMenuItem post = new JMenuItem();
        JMenuItem delete = new JMenuItem();
        JMenuItem get = new JMenuItem();
        JMenu centerMenu = new JMenu("Menu");
        centerMenu.add("Patch",patch);
        centerMenu.add("Put",put);
        centerMenu.add("Post",post);
        centerMenu.add("Delete",delete);
        centerMenu.add("Get",get);
        centerMenu.setFont(new Font("Arial",20,15 ));

        JTextField URLTextField = new JTextField("http://api.myproduct.com/v1/users");

        JButton sendButton = new JButton("send");

        JPanel centerUp = new JPanel(new BorderLayout());
        centerUp.add(centerMenu , BorderLayout.WEST);
        centerUp.add(URLTextField , BorderLayout.CENTER);
        centerUp.add(sendButton , BorderLayout.EAST);

        JPanel center = new JPanel(new BorderLayout());
        center.add(centerUp,BorderLayout.NORTH);
        center.add(tabbedPaneCenter , BorderLayout.CENTER);

        JPanel panelRight = new JPanel(new GridLayout(1 ,2 ));
        panelRight.add(center);

        JMenu menu = new JMenu("Insomnia");
        menu.setFont(new Font("Arial",20,15 ));
        menu.setBorder(border);
        menu.setPreferredSize(new Dimension(200,60));
        JPanel panelLeft = new JPanel(new BorderLayout());
        panelLeft.add(menu , BorderLayout.NORTH);
        panelLeft.setBackground(Color.LIGHT_GRAY);

        JPanel panel = new JPanel(new BorderLayout());
        panel.add(upperMenuBar , BorderLayout.NORTH);
        panel.add(panelLeft , BorderLayout.WEST);
        panel.add(panelRight , BorderLayout.CENTER);

        frame.getContentPane().add(panel);
    }
}
